Xpoint
   [напомнить пароль]

Возможна ли докомплектация модулей Java?

Метки: [без меток]
2008-01-26 08:38:32 [обр] Top manager(0/2)[досье]
У меня стоит Ora9, хотел было поюзать регулярные выражения, не получилось, ругается, что не знает вообще о них. Вобщем проблема в комплектации Java. Пакет для работы с регулярными выражениями не является стандартной единицей в стандартном пакете. Может поэтому его и нет в Oracle.
Как можно поставить этот самый пакет? Откуда его взять? На сайте Oracle.Com чёто пока не нашёл.
спустя 5 часов [обр] GRAy(0/259)[досье]
Top manager[досье] Регулярные выражения (как встроеные в sql-движок функции) появились только в Oracle 10g. Java тут совершенно ни при чём. Для 9i есть в WebToolkit`е пакетик owa_pattern.
спустя 1 час 23 минуты [обр] Top manager(0/2)[досье]
GRAy[досье] думаю Вы меня не так поняли: я не зря сказал 9 - версия. Я знаю что появились с 10g, соответственно имелись ввиду не REGEX_.... в sql, а самая настоящая библиотека Java, которая подключается через import. Я даже речи не веду о sql.
спустя 7 часов [обр] GRAy(0/259)[досье]
Top manager[досье] Да уж ;) действительно не сложно вас не так понять ;) Тогда что эта тема делает в разделе "СУБД Oracle"? Рассказывайте уж тогда всё по порядку. Что вы делаете, что вам надо и что у вас не получается и с чего вы взяли что вам нужен этот пакет. java.util.regex - стандартный пакет в стандартной поставке java по крайней мере с версии 1.4. К сожалению встроенная в оракл 9i java машина построена на спецификации 1.3 поэтому вы можете попытаться использовать внешнюю библиотеку реализующую регулярные выражения например от apache. Полагаю что для того чтобы хранимая java процедура могла использовать классы из этой библиотеки надо будет положить jar файл куда-нибудь где OracleJVM могла бы его увидеть - куда конкретно, надо искать в документации.
спустя 15 часов [обр] Top manager(0/2)[досье]
...надо будет положить jar файл куда-нибудь где OracleJVM могла бы его увидеть - куда конкретно, надо искать в документации...
GRAy[досье] во-во, и я про тоже. НГо насколько я знаю, что если библиотека скомпилирована не под "той" VJM, то работать она не будет. Соответственно, возникает вопрос: где взять "ту" библиотеку и куда именно ещё положить? :)
Powered by POEM™ Engine Copyright © 2002-2005